
/**
 * Title:        Draagon Web Integrator<p>
 * Description:  Draagon Web Integrator is a web application integration framework.<p>
 * Copyright:    Copyright (c) Doug Mealing<p>
 * Company:      Draagon Software, Inc.<p>
 * @author Doug Mealing
 * @version 1.0
 */
package com.draagon.wii;

import java.io.*;

public interface WIIDevice
{
  // return the device name
  public String getName();

  // Embed a message in the device output [Typically used by services]
  public void writeMessage( WIIRequest request, PrintWriter out, String msg, String detailed ) throws IOException;

  // Embed an error message in the device output (using comments if possible) [Typically used by services]
  public void writeError( WIIRequest request, PrintWriter out, String msg, String description ) throws IOException;

  // Return an access error
  public void returnAccessError( WIIRequest request, WIIResponse response, String msg, String description ) throws IOException;

  // Return a normal message
  public void returnMessage( WIIRequest request, WIIResponse response, String msg, String description ) throws IOException;

  // Return an error message
  public void returnError( WIIRequest request, WIIResponse response, String msg, String description ) throws IOException;
  public void returnError( WIIRequest request, WIIResponse response, String msg, String description, Exception e ) throws IOException;
}
