/*
 * Copyright 2000 Draagon Software, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Draagon Software, Inc.
 * Use is subject to license terms.
 *
 */

package com.draagon.wii;

/**
 * The WIIException class is used for all internal errors to Draagon Web Integrator.
 * This is the recommended exception to throw within all filters, parameter
 * classes, connectors, streams, etc.
 *
 * @author  Doug Mealing
 * @version 1.1, 12/17/00
 * @since   JDK1.2
 */
public class WIIException extends Exception
{
	private static final long serialVersionUID = -6277750954507784641L;

  /**
   * Constructor taking a reason string.
   *
   * @param reason The reason the exception is being thrown.
   */
  public WIIException( String reason )
  {
    super( reason );
  }

  @SuppressWarnings("unused")
  private WIIException()
  {
    super();
  }
}
