/*
 * Copyright 2000 Draagon Software, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Draagon Software, Inc.
 * Use is subject to license terms.
 *
 */

package com.draagon.wii;

import java.util.List;

import com.draagon.wii.util.NameValuePair;

/**
 * The WIIRequestHeaders interface defines the methods that any Draagon Web Integrator
 * request header objects must implement.  A parameter object is used to add, remove,
 * or modify request headers before they are sent to the external system.
 * These objects are activated by the WIIKernel class.
 *
 * @author  Doug Mealing
 * @version 1.1, 12/17/00
 * @see     com.draagon.wii.WIIKernel
 * @since   JDK1.2
 */
public interface WIIRequestHeaders
{
  /**
   * Peform the request against the external system.
   *
   * @param req The WIIRequest object that can be used to access additional
   *              information about the request, such as the client's request
   *              parameters.
   * @param headers The request headers that are to be passed to the external
   *                system.
   * @exception  WIIException  This exception is used if any errors are
   *                            encountered.
   */
  public void processRequestHeaders( WIIRequest req, List<NameValuePair> headerss )
    throws WIIException;
}
