/*
 * Copyright 2000 Draagon Software, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Draagon Software, Inc.
 * Use is subject to license terms.
 *
 */

package com.draagon.wii;

import java.io.*;

/**
 */
public interface WIIResponse
{
  public OutputStream getOutputStream() throws IOException;
  public PrintWriter getWriter() throws IOException;

  /** Flush the output stream or writer */
  public void flush() throws IOException;

  /** Flush and close the output stream or writer */
  public void close() throws IOException;
  
  public void setContentType( String type );
  public void addHeader( String name, String value );

  public void setStatusCode( int sc );

  // NOTE: These are from ServletResponse
  // public void flushBuffer() throws IOException;
  // public int getBufferSize();
  // public String getCharacterEncoding();
  // public Locale getLocale();
  // public ServletOutputStream getOutputStream();   Use regular stream; below


  // public boolean isCommitted();
  // public void reset();
  // public void setBufferSize( int size );
  // public void setContentLength( int len );
  // public void setLocale( Locale loc );

  // NOTE: These are from HttpServletResponse
  // public void addCookie( Cookie cookie );
  // public void addDateHeader( String name, long date );
  // public void addIntHeader( String name, int value );
  // public boolean containsHeader( String name );
  // public String encodeRedirectURL( String url );
  // public String encodeURL( String url );

  // public void sendError( int sc ) throws IOException;
  // public void sendError( int sc, String msg ) throws IOException;

  // public void sendRedirect( String location ) throws IOException;
  // public void setDateHeader( String name, long date );
  // public void setHeader( String name, String value );
  // public void setIntHeader( String name, int value );
}
