
/**
 * Title:        Draagon Web Integrator<p>
 * Description:  Draagon Web Integrator is a web application integration framework.<p>
 * Copyright:    Copyright (c) Doug Mealing<p>
 * Company:      Draagon Software, Inc.<p>
 * @author Doug Mealing
 * @version 1.0
 */
package com.draagon.wii;

import java.io.*;

public interface WIITemplate
{
    /**
   * Specifies to use no framing of the external system content.
   */
  public final static String NONE = "none";

  /**
   * Specifies to use thick framing of the external system content.  This is
   * useful when the content needs to be wrapped by a menuing system defined
   * by the portal.
   */
  public final static String THICK = "thick";

  /**
   * Specifies to use thin framing of the external system content.  This is
   * useful for popup windows and framed content.
   */
  public final static String THIN = "thin";

  public String getID();
  public String getURL();

  public Object getAttribute( String name );
  public void setAttribute( String name, Object value );
  public void removeAttribute( String name );

  public void setFrameMode( String mode );
  public String getFrameMode();

  public void addHeader( WIIResponse res ) throws IOException, WIIException;
  public void addFooter( WIIResponse res ) throws IOException, WIIException;
}
