/*
 * Copyright 2000 Draagon Software, Inc. All Rights Reserved.
 *
 * This software is the proprietary information of Draagon Software, Inc.
 * Use is subject to license terms.
 *
 */

package com.draagon.wii;

public interface WIIUser
{
  //  These constants can be used to lookup the user properties very quickly
  //  by using the array index value.
  public final static int WII_USERNAME = 0;
  public final static int WII_PASSWORD = 1;
  public final static int WII_REALNAME = 2;
  public final static int WII_FIRSTNAME = 3;
  public final static int WII_LASTNAME = 4;
  public final static int WII_EMAIL = 5;
  public final static int WII_ADDRESS1 = 6;
  public final static int WII_ADDRESS2 = 7;
  public final static int WII_CITY = 8;
  public final static int WII_STATE = 9;
  public final static int WII_COUNTRY = 10;
  public final static int WII_ZIP = 11;
  public final static int WII_HOMEPHONE = 12;
  public final static int WII_COMPANY = 13;
  public final static int WII_TITLE = 14;
  public final static int WII_BUSPHONE = 15;
  public final static int WII_FAX = 16;
  public final static int WII_DEPARTMENT = 17;
  public final static int WII_PAGER = 18;
  public final static int WII_CELLPHONE = 19;
  public final static int WII_DEFAULTROLE = 20;
  public final static int WII_ROLES = 21;

  /**
   * Returns the user ID, respresenting the user's session within the portal.
   *
   * @return String The user's unqiue session ID for the portal
   */
  public String getId();

  public String get( String name );
  public String get( int index );

  public String [] getCredentials( WIISite site );

  public Object getAttribute( String name );
  public void setAttribute( String name, Object value );
  public void removeAttribute( String name );
}
/* End of WIIUser class */
