
/**
 * Title:        Draagon Web Integrator<p>
 * Description:  Draagon Web Integrator is a web application integration framework.<p>
 * Copyright:    Copyright (c) Doug Mealing<p>
 * Company:      Draagon Software, Inc.<p>
 * @author Doug Mealing
 * @version 1.0
 */
package com.draagon.wii.internal;

import com.draagon.wii.*;
import com.draagon.wii.config.*;
import com.draagon.wii.servlet.*;

import java.io.*;

import javax.servlet.*;

public class AdminService extends BaseInternalService
{
  public void service( WIIRequest req, WIIResponse res )
    throws IOException, WIIException
  {
    String name = null;
    String path = req.getPathInfo();
    String base = "/wii/" + getName() + "/";
    if ( base.length() >= path.length() )
      path = "";
    else
      path = path.substring( base.length() );

    if ( path == null || path.equals( "" ))
      name = getInternalBaseURL( req ) + "admin.jsp";
    else
      name = getInternalBaseURL( req ) + path;

    if ( req.getMethod().compareToIgnoreCase( "post" ) == 0 )
    {
      //int i = 0;
      //String site = null;
/*      while ( ( site = req.getParameter( "" + i++ )) != null )
      {
        String id = req.getParameter( site + ".id" );
        if ( id.length() == 0 ) id = null;
        String url = req.getParameter( site + ".url" );
        if ( url.length() == 0 ) url = null;
        String acc = req.getParameter( site + ".allow" );
        if ( acc == null || acc.length() == 0 ) acc = "all";

        if ( id == null )
        {
          req.getConfiguration().deleteSite( site );
        }

        if ( id != null && url != null )
        {
          if ( !id.equals( site ))
            req.getConfiguration().deleteSite( site );

          req.getConfiguration().addSite( id, url, acc );
        }
      }
*/
      String id = req.getParameter( "new.id" );
      if ( id.length() == 0 ) id = null;
      String url = req.getParameter( "new.url" );
      if ( url.length() == 0 ) url = null;
      String acc = req.getParameter( "new.allow" );
      if ( acc == null || acc.length() == 0 ) acc = "all";

      if ( id != null && url != null )
      {
        ((PropertyConfiguration)req.getConfiguration()).setProperty( "site." + id + ".url", url );
        ((PropertyConfiguration)req.getConfiguration()).setProperty( "site." + id + ".allow", acc );
      }
    }

    try
    {
      RequestDispatcher rd = ((WIIServletRequest)req).getServlet().getServletContext().getRequestDispatcher( name );
      rd.include( ((WIIServletRequest)req).getServletRequest(), ((WIIServletResponseAdapter)res).getServletResponse() );
    }
    catch( ServletException e )
    {
      // throw new WIIException( "Servlet Exception: [" + e.toString() + "]" );
      PrintWriter out = res.getWriter();
      out.println( "Servlet Exception: [" + e.toString() + "]" );
      e.printStackTrace( out );
      out.close();
    }
  }
}