
/**
 * Title:        Draagon Web Integrator<p>
 * Description:  Draagon Web Integrator is a web application integration framework.<p>
 * Copyright:    Copyright (c) Doug Mealing<p>
 * Company:      Draagon Software, Inc.<p>
 * @author Doug Mealing
 * @version 1.0
 */
package com.draagon.wii.internal;

import com.draagon.wii.*;
import com.draagon.wii.security.*;

public abstract class BaseInternalService implements InternalService
{
  protected String mName = null;
  protected Object mAccess = null;
  protected SecuritySystem mSS = null;

  public void setSecuritySystem( SecuritySystem ss )
  {
    mSS = ss;
  }

  public String getInternalBaseURL( WIIRequest req )
  {
      String base = (String) req.getConfiguration().getProperty( "internal.base.url" );
      if ( base == null || base.equals( "" ))
        base = "/";
      else
      {
        int i = base.length();
        if ( base.charAt( i - 1 ) != '/' )
          base += "/";
      }

      return base;
  }

  public void setName( String name )
  {
    mName = name;
  }

  public String getName()
  {
    return mName;
  }

  public void setAccess( Object access )
  {
    mAccess = access;
  }

  public boolean canAccess( WIIUser user )
  {
    if ( mSS != null && mAccess != null )
      return mSS.checkAccess( mAccess, user );
    else
      return true;
  }
}
