
/**
 * Title:        Draagon Web Integrator<p>
 * Description:  Draagon Web Integrator is a web application integration framework.<p>
 * Copyright:    Copyright (c) Doug Mealing<p>
 * Company:      Draagon Software, Inc.<p>
 * @author Doug Mealing
 * @version 1.0
 */
package com.draagon.wii.ui;

import com.draagon.wii.*;
import java.io.*;

public class SimpleButtonService extends ButtonService
{
  /**
   * Empty constructor
   */
  public SimpleButtonService()
  {
  }

  /**
   * This method draws a simple button to the print writer.
   *
   * @param res The WIIResponse class
   * @param node The XML DOM node to parse to retrieve additional button information.
   * @param label The label for the button
   * @param action The action to take place when clicked
   * @exception  IOException  This exception is not thrown when an IO error occurs.
   */
  public void drawButton( WIIResponse res, String label, String size, String action )
    throws IOException, WIIException
  {
    PrintWriter pw = res.getWriter();

    if ( size == null || size.length() == 0 ) size = "30";
    if ( label == null ) label = "";

    if ( action == null || action.length() == 0 )
    {
      pw.print( "<input type=\"button\" size=\"" + size + "\" value=\"" + label + "\">" );
    }
    else
    {
      pw.print( "<input type=\"button\" size=\"" + size + "\" value=\"" + label
          + "\" OnClick=\"" + action + "\">" );
    }
  }
}
