
/**
 * Title:        Draagon Web Integrator<p>
 * Description:  Draagon Web Integrator is a web application integration framework.<p>
 * Copyright:    Copyright (c) Doug Mealing<p>
 * Company:      Draagon Software, Inc.<p>
 * @author Doug Mealing
 * @version 1.0
 */
package com.draagon.wii.ui;

import com.draagon.wii.services.*;
import com.draagon.wii.servlet.*;
import com.draagon.wii.*;

import java.io.*;
import javax.servlet.*;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

public abstract class UIService extends BaseService
{
  private static Log log = LogFactory.getLog( UIService.class );

  protected void dispatchTemplate( WIIResponse res, String url )
    throws IOException, WIIException
  {
    String name = mRequest.getTemplate().getURL();
    mRequest.setAttribute( "ui.base", name );

    try
    {
      RequestDispatcher rd = ((WIIServletRequest) mRequest ).getServlet().getServletContext().getRequestDispatcher( name + url );
      rd.include( ((WIIServletRequest) mRequest ).getServletRequest(), ((WIIServletResponse) res ).getServletResponse() );
    }
    catch( ServletException e )
    {
      log.error( "(dispatchTemplate) Error dispatching url", e );
      throw new WIIException( e.getMessage() );
    }
  }
}